%define api	1.0
%define major	39
%define libname %mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

Name:		gretl
Version:	2021c
Release:	%mkrel 1
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		http://gretl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/gretl/%{name}-%{version}.tar.xz
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt
Patch2:		gretl-2016b-fix-desktop-file.patch
BuildRequires:	R-base
BuildRequires:	blas-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	fftw-devel
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gmp-devel
BuildRequires:	gnuplot
BuildRequires:	openmpi
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	lapack-devel
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(odbc)
BuildRequires:	pkgconfig(ompi)
Requires:	gnuplot
Requires:	R-base
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files for %{name}.

%prep
%setup -q
%patch2 -p1 -b .desktop

# fix include path
sed -i -e 's:includedir=${prefix}/include:includedir=${prefix}/include/gretl:' gretl.pc.in

# plugins licensing notes
install -pm644 %{SOURCE1} .

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--with-libR \
	--with-odbc \
	--with-gsf
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog CompatLog README gretl_plugins.txt
%{_bindir}/gretl*
%{_libdir}/gretl-gtk3/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/*
%{_libdir}/libgretl-%{api}.so.%{major}*

%files devel
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl-%{api}.so
%{_includedir}/%{name}/


%changelog
* Mon Oct 04 2021 tex - 2021c-1pclos2021
- new version
